# eric3.VCS.cvsPackage.LoginDialog

Module implementing a dialog to enter the login data for CVS.

### Classes

CvsLoginDialog | Class implementing a dialog to enter the login data for CVS.

### Functions

None

## CvsLoginDialog

Class implementing a dialog to enter the login data for CVS.

### Derived from

cvsLoginForm

### Methods

CvsLoginDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.

### CvsLoginDialog (Constructor)

CvsLoginDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### CvsLoginDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of 6 strings (protocol, username, password, remote hostname, remote port and repository).

Up